Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ParameterHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.ParameterHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IParameterModel

Direct Known Subclasses:
  ScalarParameterHandle

    public abstract class ParameterHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IParameterModel

Represents the various parameter types. This abstract base parameter element defines properties common to all types of parameters.

See Also:
  `Parameter`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IParameterModel
`HELP_TEXT_KEY_PROP, HELP_TEXT_PROP, HIDDEN_PROP, VALIDATE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`ParameterHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs the handle for a parameter with the given design and element.

Method Summary
`java.lang.String` | `getHelpText()` Returns the additional text to display for the parameter to explain how to use the parameter.
`java.lang.String` | `getHelpTextKey()` Returns the resource key of the additional text to display for the parameter to explain how to use the parameter.
`java.lang.String` | `getValidate()` Gets the custom validation code for the parameter.
`boolean` | `isHidden()` Tests whether the parameter will appear in the Requester page.
`void` | `setHelpText(java.lang.String helpText)` Returns the additional text to display for the parameter to explain how to use the parameter.
`void` | `setHelpTextKey(java.lang.String resourceKey)` Sets the resource key of the additional text to display for the parameter to explain how to use the parameter.
`void` | `setHidden(boolean hidden)` Sets the hidden property of this parameter.
`void` | `setValidate(java.lang.String validation)` Sets the custom validation code for the parameter.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setEncryption, setEventHandlerClass, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNumberProperty, setProperties, setProperty, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterHandle

    public ParameterHandle(org.eclipse.birt.report.model.core.Module module,
                           org.eclipse.birt.report.model.core.DesignElement element)

  Constructs the handle for a parameter with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getHelpText

    public java.lang.String getHelpText()

  Returns the additional text to display for the parameter to explain how to use the parameter.

  Returns:
    the help text

### setHelpText

    public void setHelpText(java.lang.String helpText)
                     throws SemanticException

  Returns the additional text to display for the parameter to explain how to use the parameter.

  Parameters:
    `helpText` - the help text
  Throws:
    `SemanticException` - if the property is locked.

### getHelpTextKey

    public java.lang.String getHelpTextKey()

  Returns the resource key of the additional text to display for the parameter to explain how to use the parameter.

  Returns:
    the resource key of the help text

### setHelpTextKey

    public void setHelpTextKey(java.lang.String resourceKey)
                        throws SemanticException

  Sets the resource key of the additional text to display for the parameter to explain how to use the parameter.

  Parameters:
    `resourceKey` - the resource key of the help text
  Throws:
    `SemanticException` - if the property is locked.

### isHidden

    public boolean isHidden()

  Tests whether the parameter will appear in the Requester page. Parameter is visible by default.

  Returns:
    `true` means the parameter will not be visible. `false` means the invisibility of the parameter.

### setHidden

    public void setHidden(boolean hidden)
                   throws SemanticException

  Sets the hidden property of this parameter. If `true`, the parameter will not appear in the Requester page. Parameter is visible by default.

  Parameters:
    `hidden` - `true` if the parameter is visible. Otherwise `false`.
  Throws:
    `SemanticException` - if the property is locked.

### getValidate

    public java.lang.String getValidate()

  Gets the custom validation code for the parameter.

  Returns:
    the custom validation code for the parameter

### setValidate

    public void setValidate(java.lang.String validation)
                     throws SemanticException

  Sets the custom validation code for the parameter.

  Parameters:
    `validation` - the custom validation code to set
  Throws:
    `SemanticException` - if the property is locked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.